Subject: [urn] Request for urn mrn

From: Kasper Nielsen <[email-masked]>
Date: Sat, 1 Jul 2017 12:03:57 +0200

Greetings,

On behalf of the International Association of Marine Aids to Navigation and
Lighthouse Authorities (IALA AISM) I would like to submit a registration
request for the urn “mrn”.

The International Association of Marine Aids to Navigation and Lighthouse
Authorities (IALA) is a non-profit, international technical association
servicing more than 80 countries in the field of marine aids to navigation.

The detail about the request can be seen at
https://tools.ietf.org/html/draft-knielsen-mrn-urn-02

Please contact me and let me know in case you need further information to
process the request.

Best Regards

Kasper Nielsen

IT Architect
Danish Maritime Authority
Carl Jacobsens Vej 31
2500 Valby
Denmark
+45 26737340

---

From: Peter Saint-Andre <[email-masked]>
Date: Sat, 1 Jul 2017 15:51:25 -0600

Hi Kaspar,

Thank you for working on this proposed namespace ID and for the careful
documentation in Internet-Draft form.

RFC 2141 and RFC 3406 have been replaced by RFC 8141, and the
registration template has changed (based on many years of experience
with registration of new namespaces). As a result, the Internet-Draft
you have posted is not quite conformant to the new template and process.
Please refer to RFC 8141 for details:

https://tools.ietf.org/html/rfc8141

Please let us know when you have posted version -03 of the specification
so that we can review it again.

Best Regards,

Peter

On 7/1/17 4:03 AM, Kasper Nielsen wrote:
> Greetings,
> 
> On behalf of the International Association of Marine Aids to Navigation
> and Lighthouse Authorities (IALA AISM) I would like to submit a
> registration request for the urn “mrn”.
> 
> The International Association of Marine Aids to Navigation and
> Lighthouse Authorities (IALA) is a non-profit, international technical
> association servicing more than 80 countries in the field of marine aids
> to navigation.
> 
> Please contact me and let me know in case you need further information
> to process the request.
> 
> Best Regards
> 
> Kasper Nielsen
> 
> IT Architect

---

From: Kasper Nielsen <[email-masked]>
Date: Sat, 8 Jul 2017 10:21:24 +0200

Hi Peter,

Thank you so much for bringing this to my intention. I've modelled the
draft after previous URN RFC submissions based on RFC 2141 + 3406, are
there any RFCs following RFC 8141 that I can use as a basis for
restructuring my submission? I have been unable to find any at
https://www.iana.org/assignments/urn-namespaces/urn-namespaces.xhtml

I am especially struggling with the overall layout. I currently have these
chapters

Introduction
Specification Template
  Namespace ID
  Registration Information
  ...
Examples
Namespace Considerations
Community Considerations
Security Considerations
IANA Considerations

But in RFC 8141 all of these are put into a specification template.
What overall structure should I use? Should I just put everything into a
specification chapter?

Best
  Kasper

---

From: Peter Saint-Andre <[email-masked]>
Date: Sat, 8 Jul 2017 17:17:40 -0600

Hi Kaspar,

The two most recent registrations (ISBN and ISSN) follow the new
template, and they are excellent examples:

https://www.iana.org/assignments/urn-formal/isbn

https://www.iana.org/assignments/urn-formal/issn

By the way, you no longer need to submit an Internet-Draft, although
that is helpful for purposes of review.

Peter

On 7/8/17 2:21 AM, Kasper Nielsen wrote:
> I am especially struggling with the overall layout. I currently have
> these chapters
> 
> Introduction
> Specification Template
>   Namespace ID
>   Registration Information
>   ...
> Examples
> Namespace Considerations
> Community Considerations
> Security Considerations
> IANA Considerations
> 
> On 1 July 2017 at 23:51, Peter Saint-Andre <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hi Kaspar,
> 
>     <https://tools.ietf.org/html/rfc8141>
> 
>     <https://tools.ietf.org/html/draft-knielsen-mrn-urn-02>
>     >
>     > +45 26737340 <tel:%2B45%2026737340>
>     >
> 
>

---

From: Kasper Nielsen <[email-masked]>
Date: Wed, 26 Jul 2017 23:50:21 +0200

Hi Peter,

Sorry for the long delay was away on vacation.
Am I right in understanding that as a general an application like mine
would no longer have a RFC as an outcome?
But "only" a registration of the namespace with IANA.

Best
  Kasper

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 26 Jul 2017 15:57:15 -0600

That is correct!

On 7/26/17 3:50 PM, Kasper Nielsen wrote:
> On 9 July 2017 at 01:17, Peter Saint-Andre <[email-masked]
>     <https://www.iana.org/assignments/urn-formal/isbn>
> 
>     <https://www.iana.org/assignments/urn-formal/issn>
> 
>     <https://www.iana.org/assignments/urn-namespaces/urn-namespaces.xhtml>
>     >
>     <mailto:[email-masked]>
>     > <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>     >
>     >     Hi Kaspar,
>     >
>     >     <https://tools.ietf.org/html/rfc8141
>     <https://tools.ietf.org/html/rfc8141>>
>     >
>     >     <https://tools.ietf.org/html/draft-knielsen-mrn-urn-02
>     <https://tools.ietf.org/html/draft-knielsen-mrn-urn-02>>
>     >     >
>     >     > +45 26737340 <tel:%2B45%2026737340> <tel:%2B45%2026737340>
>     >     >
>     >
>     >